<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Overlay.html">Overlay</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Overlay Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#ae694fb90f0c626c2fb4e7dfc65f97448">_findVisibleObjects</a>(Camera *cam, RenderQueue *queue)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a928762f6c7c24583e092ff61e52e941a">_getWorldTransforms</a>(Matrix4 *xform) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#ae48bf2a6596b514f95e9d3a437d8e1e0">_notifyOrigin</a>(const String &amp;origin)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a702b15ebaa6d3f8dbb2918500b76c9f0">add2D</a>(OverlayContainer *cont)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a296d54af42cc05fddd20e07b5209ab1a">add3D</a>(SceneNode *node)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a1fae20c3f70184ac555edc2c81c4573f">assignZOrders</a>(void)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a81c8a84fa283a0341a8c14b6c8168ccb">clear</a>()</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#aaf8b4bc3c953b8eeaf5ce8e6f3bfac9f">findElementAt</a>(Real x, Real y)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a659220630fe743a8359455f31640b465">get2DElementsIterator</a>()</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a5d12ab2635efc92de84fece5ae97ed5a">getChild</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#aabe5ca1ccdcf2f813f6b3c76bfc1e431">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a7b04bcdbc67a779836cbbf04dd1e21ff">getOrigin</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#adddd063aa2b50cbf00f9b2a96f4e16b6">getRotate</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#ac0206725a1be8a317529b31e750c500c">getScaleX</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a71265386a6190f91c79e8ca2c657fcd4">getScaleY</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#ad6d4a3b5f733a30ba86f7b119d0fe0e6">getScrollX</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#af5627552bfa34c5fac0d348e2548794b">getScrollY</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#af1c179ff9599e3cde15e32d580655f48">getZOrder</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#ab210b07a317329bb66df4e674de2a367">hide</a>(void)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#ae2d469b158f4db3064c33051791876bb">initialise</a>(void)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a5680b79c15b1f810c0f3bf93541994fb">isInitialised</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a455ff8e472ec649d4d1c04132b6ae6e9">isVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a7092a701bd3064f4d37ed107a38d3af5">m2DElements</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#ae9d25c8decc42d2369c437dd45d337c1">mInitialised</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#af3f2cf5abee8dfa0c4a405fc4def8090">mName</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#acc986bc34b6e22883cb941378b068f8b">mOrigin</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a09e2075d2d0be9ca8e1c82ff1b4bbd4f">mRootNode</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#acfea58e14ec720e91320d16f40d72dd2">mRotate</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a841135f08c6791e7006ad4b99a0c6459">mScaleX</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a918d0776ae24dae53716e6e2fa01524b">mScaleY</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a7f31ad43e6ae56223bcb4b0f419dec53">mScrollX</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a18010a80c39421d071b5d159f166a8f0">mScrollY</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a2ef3578f72ef61935cd55529598eaf98">mTransform</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#ac70a9397e1355a83237e7b2e05416017">mTransformOutOfDate</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a681c81ead2967a473100495dac9b82ab">mTransformUpdated</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#aa8c41f39e68f82a6e4d9f7b080e3eb08">mVisible</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a0671899a71d5ed5ca4973e236b77b75e">mZOrder</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a8d6c54081ea142edf528d4253f32a913">Overlay</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a9de93b21d275a160987ab71f514e617b">Overlay2DElementsIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a5567588916f454f12f9d9a1c3caf2995">OverlayContainerList</a> typedef</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a5c6182483591872da63ac4cea94671af">remove2D</a>(OverlayContainer *cont)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a2ff5331b691cd4f07ee66e63f237baef">remove3D</a>(SceneNode *node)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a8282553a59253170ddd0488ab7179792">rotate</a>(const Radian &amp;angle)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#ae07b1a57498aad0299f0781b09ca9b39">scroll</a>(Real xoff, Real yoff)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a69d5f4c12c15f00efc7818d201e02e86">setRotate</a>(const Radian &amp;angle)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#adea3b88baa3697a657e7b5785f0ffedb">setScale</a>(Real x, Real y)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#ae268ad3250bac5058c6d08e00c060289">setScroll</a>(Real x, Real y)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a5d8481d5fa0990846e53345f1a1cc705">setZOrder</a>(ushort zorder)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a3c565f3e5cf61f43fa33542d713e8ccf">show</a>(void)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a299bf0150c79f7247663d795cc3adf23">updateTransform</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a5a4051af0e9d239f4cb3d03f092565c3">~Overlay</a>()</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:00
</p>
</body>
</html>
